.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ButtonGroup:

ButtonGroup
===========

**Inherits:** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Group of Buttons.

Member Functions
----------------

+--------------------------------------+------------------------------------------------------------------------------+
| :ref:`BaseButton<class_basebutton>`  | :ref:`get_pressed_button<class_ButtonGroup_get_pressed_button>`  **(** **)** |
+--------------------------------------+------------------------------------------------------------------------------+

Description
-----------

Group of :ref:`Button<class_button>`. All direct and indirect children buttons become radios. Only one allows being pressed.

Member Function Description
---------------------------

.. _class_ButtonGroup_get_pressed_button:

- :ref:`BaseButton<class_basebutton>`  **get_pressed_button**  **(** **)**

Return the pressed button.


